CometFilter (Tomcat API Documentation)
Keywords: org.apache.catalina.CometFilter interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface CometFilter

All Superinterfaces:
  javax.servlet.Filter

    public interface CometFilter

extends javax.servlet.Filter

A Comet filter, similar to regular filters, performs filtering tasks on either the request to a resource (a Comet servlet), or on the response from a resource, or both.
Filters perform filtering in the `doFilterEvent` method. Every Filter has access to a FilterConfig object from which it can obtain its initialization parameters, a reference to the ServletContext which it can use, for example, to load resources needed for filtering tasks.

Filters are configured in the deployment descriptor of a web application

Examples that have been identified for this design are
1) Authentication Filters
2) Logging and Auditing Filters
3) Image conversion Filters
4) Data compression Filters
5) Encryption Filters
6) Tokenizing Filters
7) Filters that trigger resource access events
8) XSL/T filters
9) Mime-type chain Filter

Author:
  Remy Maucherat, Filip Hanik

Method Summary
`void` | `doFilterEvent(CometEvent event, CometFilterChain chain)` The `doFilterEvent` method of the CometFilter is called by the container each time a request/response pair is passed through the chain due to a client event for a resource at the end of the chain.

Methods inherited from interface javax.servlet.Filter
`destroy, doFilter, init`

Method Detail

### doFilterEvent

    void doFilterEvent(CometEvent event,
                       CometFilterChain chain)
                       throws java.io.IOException,
                              javax.servlet.ServletException

  The `doFilterEvent` method of the CometFilter is called by the container each time a request/response pair is passed through the chain due to a client event for a resource at the end of the chain. The CometFilterChain passed in to this method allows the Filter to pass on the event to the next entity in the chain.

  A typical implementation of this method would follow the following pattern:-
  1. Examine the request
  2. Optionally wrap the request object contained in the event with a custom implementation to filter content or headers for input filtering and pass a CometEvent instance containing the wrapped request to the next filter
  3. Optionally wrap the response object contained in the event with a custom implementation to filter content or headers for output filtering and pass a CometEvent instance containing the wrapped request to the next filter
  4. a) Either invoke the next entity in the chain using the CometFilterChain object (`chain.doFilterEvent()`),
  4. b) or not pass on the request/response pair to the next entity in the filter chain to block the event processing
  5. Directly set fields on the response after invocation of the next entity in the filter chain.

  Parameters:
    `event` - the event that is being processed. Another event may be passed along the chain.
    `chain` -
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.